<mat-drawer-container class="container">
  <mat-drawer mode="side" [opened]="openSide" class="container__sidenav">
    <app-side-nav></app-side-nav>
  </mat-drawer>
  <mat-drawer-content>
    <mat-toolbar class="container__toolbar">
      <mat-toolbar-row>
        <button *ngIf="!openSide" mat-button (click)="openSide = true" >
          <mat-icon>menu</mat-icon>
          <span>Menú</span>
        </button>
        <button *ngIf="openSide" mat-button (click)="openSide = false" >
          <mat-icon>close</mat-icon>
          <span>Cerrar</span>
        </button>
        <span class="container__toolbar__spacer"></span>
        <mat-icon>trending_up</mat-icon> 
        <span>A</span>
        <span class="container__toolbar__spacer"></span>
        <button (click)="logout()" mat-button (click)="openSide = false" >
          <mat-icon>logout</mat-icon>
          <span>Cerrar Sesión</span>
        </button>
      </mat-toolbar-row>
    </mat-toolbar>
    <router-outlet></router-outlet>
  </mat-drawer-content>
</mat-drawer-container>